EDIT - bug #7153

Implement possibility to "logout™ completely from TaxEditor
01/04/2018 02:57 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.13

Severity: major Found in Version:

Description

... probably this means that the TaxEditor should be forced to forget the password.

The problem is, that unchecking the "remember me" flag has no effect.

Associated revisions

Revision 1a60427a - 01/09/2018 02:45 PM - Katja Luther

remove login information pref when 'remember me' is unselected

History

#1 - 01/04/2018 03:01 PM - Andreas Miller
- Description updated

- Target version changed from Unassigned CDM tickets to Release 4.13

#2 - 01/09/2018 02:46 PM - Katja Luther

- Status changed from New to In Progress

Now there is a workaround available:

when deselect the "remember me" button, the login information is deleted from preferences.
#3 - 01/11/2018 09:49 AM - Katja Luther

- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#4 - 01/30/2018 10:20 AM - Andreas Miiller
- Description updated

#5 - 01/30/2018 10:34 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Seems to work, but | can't find the place where the credentials are actually stored when "remember login data" is checked.
| wanted to check if this is save or a preliminary implementation. (not really part of this ticket but when working on this we should also check that
everything is really secure now).

Do you know were the data is stored?

#6 - 02/13/2018 03:09 PM - Katja Luther
- Status changed from Feedback to Closed

The login informations are stored in eu.etaxonomy.taxeditor.store.prefs and they are deleted when remember login data is not checked.

#7 - 02/13/2018 05:13 PM - Andreas Miiller
- Status changed from Closed to Feedback
The storing location should be implemented differently. Therefore | reopen the ticket.

#9 - 02/13/2018 05:15 PM - Andreas Miiller
- Status changed from Feedback to Closed

Created new ticket and re-closed this one.
